@echo off
setlocal EnableDelayedExpansion

REM Check if running as administrator
net session >nul 2>&1
if %errorLevel% == 0 (
    REM Running as administrator, continue with script
    goto :continue
) else (
    REM Not running as administrator, restart as administrator
    powershell Start-Process -FilePath "%0" -Verb runAs
    exit /B
)

:continue

set task_name=hub-server
set script_path=C:\asic-hub\cli\start-server.bat

schtasks /create /tn "%task_name%" /tr "%script_path%" /sc onlogon /ru SYSTEM /f
echo Task "%task_name%" has been created to start script "%script_path%" on user logon.